Stable Diffusion with LoRAs · Image to Image
통합
lora/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lora/image-to-image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/lora/image-to-image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/lora/image-to-image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ko/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "lora/image-to-image",
"input": {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Doitong API를 통해 Stable Diffusion with LoRAs · Image to Image 모델(lora/image-to-image)을 호출합니다. 에이전트용 문서: https://doitong.com/ko/developers/models/lora/image-to-image.md
POST https://api.doitong.com/v1/run/lora/image-to-image?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
응답 상태가 "queued" 또는 "running"이면 "succeeded"가 될 때까지 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20을 폴링하세요. 파일은 outputs[].url에 있습니다. POST https://api.doitong.com/v1/quote/lora/image-to-image에 동일한 본문을 보내면 실행 전에 정확한 가격을 반환합니다.
이 요청: ≈$0.264 264 API 크레딧 이 페이지에서 실행
새 API 키입니다. 지금만 표시되며 이미 아래 코드와 API 키 필드에 입력되어 있습니다. 안전하게 보관하세요. 브라우저에서 실행되는 코드에 절대 넣지 마세요.
첫 번째 결과가 여기에 표시됩니다
아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.
요청 만들기
컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.
/run/lora/image-to-image?wait=20
견적 → $0.264
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lora/image-to-image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/lora/image-to-image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/lora/image-to-image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "lora/image-to-image",
"input": {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Stable Diffusion with LoRAs · Image to Image 정보
`model_name`으로 지정한 원하는 Stable Diffusion 모델을 사용해 입력 `image_url`을 변환합니다. 0~1 범위의 `noise_strength`가 결과가 원본에서 벗어나는 정도를 설정합니다. 병합 LoRA, 임베딩, ControlNet, IP adapter 및 다양한 스케줄러를 지원합니다. png 또는 jpeg 이미지 1~8개를 생성합니다.
매개변수
표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름
model_name필수
unet_name선택 사항
variant선택 사항
prompt필수
negative_prompt선택 사항
prompt_weighting선택 사항
image_url선택 사항
image
noise_strength선택 사항
loras선택 사항
loras[].path필수
loras[].scale선택 사항
embeddings선택 사항
embeddings[].path필수
embeddings[].tokens선택 사항
controlnets선택 사항
controlnets[].path필수
controlnets[].config_url선택 사항
controlnets[].variant선택 사항
controlnets[].image_url필수
controlnets[].mask_url선택 사항
controlnets[].conditioning_scale선택 사항
controlnets[].start_percentage선택 사항
controlnets[].end_percentage선택 사항
controlnets[].ip_adapter_index선택 사항
controlnet_guess_mode선택 사항
ip_adapter선택 사항
ip_adapter[].ip_adapter_image_url필수
ip_adapter[].ip_adapter_mask_url선택 사항
ip_adapter[].path필수
ip_adapter[].model_subfolder선택 사항
ip_adapter[].weight_name선택 사항
ip_adapter[].insight_face_model_path선택 사항
ip_adapter[].scale선택 사항
ip_adapter[].scale_json선택 사항
ip_adapter[].unconditional_noising_factor선택 사항
ip_adapter[].image_projection_shortcut선택 사항
image_encoder_path선택 사항
image_encoder_subfolder선택 사항
image_encoder_weight_name선택 사항
ic_light_model_url선택 사항
ic_light_model_background_image_url선택 사항
ic_light_image_url선택 사항
seed선택 사항
num_inference_steps선택 사항
guidance_scale선택 사항
clip_skip선택 사항
scheduler선택 사항
timesteps선택 사항
timesteps.method선택 사항
timesteps.array선택 사항
sigmas선택 사항
sigmas.method선택 사항
sigmas.array선택 사항
prediction_type선택 사항
rescale_betas_snr_zero선택 사항
image_format선택 사항
num_images선택 사항
num_outputs
enable_safety_checker선택 사항
tile_width선택 사항
tile_height선택 사항
tile_stride_width선택 사항
tile_stride_height선택 사항
eta선택 사항
debug_latents선택 사항
debug_per_pass_latents선택 사항
파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일
출력
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "lora/image-to-image",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 264,
"usd": "0.264",
"charged": 264,
"refunded": 0
},
"input": {
"model_name": "stabilityai/stable-diffusion-xl-base-1.0",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"seed": 42,
"has_nsfw_concepts": [
false
],
"debug_latents": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_per_pass_latents": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
출력 필드
- images
- array of object {url, content_type, file_name, file_size, width, height}생성된 이미지의 파일 정보입니다.
- seed
- integer이미지 생성 시드입니다. 입력에서 시드를 생략하면 무작위로 선택된 값이 포함되고, 그렇지 않으면 제공한 값이 반복됩니다.
- has_nsfw_concepts
- array of boolean생성된 이미지에 NSFW 개념이 나타나는지 나타냅니다.
- debug_latents
- object {url, content_type, file_name, file_size} | null디버깅을 위해 저장되는 잠재 데이터입니다.
- debug_per_pass_latents
- object {url, content_type, file_name, file_size} | null디버깅을 위해 저장되는 패스별 잠재 데이터입니다.
다른 Stable Diffusion with LoRAs 변형
더 많은 모델: 이미지 편집
AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/lora/image-to-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt






